class Shortcuts:
    """
    Shortcuts registered on the system.
    This class helps me to figure out fast which one's are already used and for what.

    My system relies primarily on Alt for personal things. Always start form there.
    Then go to shift, and then to the others.
    """

    # DO NOT USE: necessary to scroll back in tmux
    ALT_SPACE = "Mod1+space"
    ALT_SHIFT_SPACE = "Mod1+Shift+space"
    ALT_SHIFT_D = "Mod1+Shift+d"
    ALT_SHIFT_S = "Mod1+Shift+s"
    CTRL_B = "Control+b"
    CTRL_E = "Control+e"
    CTRL_P = "Control+p"
    CTRL_I = "Control+i"
    # do not use used in google docs to add a link
    CTRL_K = "Control+k"
    # NOT USE: necessary to end processess in linux
    CTRL_D = "Control+d"
    # DO NOT USE: used to move around with vim
    CTRL_H = "Control+h"
    CTRL_SHIFT_D = "Control+Shift+d"
    CTRL_SHIFT_E = "Control+Shift+e"
    ALT_SHIFT_X = "Mod1+Shift+x"
    CTRL_5 = "Control+5"
    # quotes
    CTRL_Q = "Control+q"

    # DO_NOT_USE for deleting words in vim
    CTRL_W = "Control+w"
    CTRL_SPACE = "Control+space"
    SUPER_SPACE = "Mod4+space"

    CTRL_SHIFT_N = "Control+Shift+n"
    CTRL_SHIFT_9 = "Control+Shift+9"
    CTRL_SHIFT_X = "Control+Shift+x"
    # focus
    CTRL_SHIFT_F = "Control+Shift+f"
    # used by google docs to add numbered lists
    CTRL_SHIFT_8 = "Control+Shift+8"
    # DO_NOT_USE used by google docs to add numbered lists
    CTRL_SHIFT_7 = "Control+Shift+7"
    CTRL_SHIFT_6 = "Control+Shift+6"
    # used for google slides to start presentation
    CTRL_SHIFT_5 = "Control+Shift+5"
    CTRL_SHIFT_4 = "Control+Shift+4"
    CTRL_SHIFT_3 = "Control+Shift+3"
    # open manual
    CTRL_SHIFT_1 = "Control+Shift+1"

    CTRL_SHIFT_H = "Control+Shift+h"
    CTRL_SHIFT_G = "Control+Shift+g"
    CTRL_SHIFT_P = "Control+Shift+p"
    CTRL_SHIFT_W = "Control+Shift+w"
    CTRL_ALT_T = "Control+Mod1+t"

    ALT_SHIFT_I = "Mod1+Shift+i"
    ALT_SHIFT_0 = "Mod1+Shift+0"
    ALT_SHIFT_Z = "Mod1+Shift+z"
    ALT_K = "Mod1+k"
    ALT_T = "Mod1+t"
    ALT_SHIFT_K = "Mod1+Shift+k"
    ALT_D = "Mod1+d"
    ALT_I = "Mod1+i"
    # priority
    ALT_P = "Mod1+p"
    ALT_SHIFT_P = "Mod1+Shift+p"
    ALT_W = "Mod1+w"
    ALT_SHIFT_W = "Mod1+Shift+w"
    # 1'1s
    ALT_U = "Mod1+u"
    ALT_N = "Mod1+n"
    # manual interactive script
    ALT_M = "Mod1+m"
    ALT_SHIFT_M = "Mod1+Shift+m"
    ALT_F = "Mod1+f"
    ALT_SHIFT_F = "Mod1+Shift+f"
    ALT_E = "Mod1+e"
    ALT_C = "Mod1+c"
    ALT_SHIFT_J = "Mod1+Shift+j"
    # DO NOT USE go down in terminal
    CTRL_J = "Control+j"
    CTRL_SHIFT_J = "Control+Shift+j"
    ALT_SHIFT_E = "Mod1+Shift+e"
    # news
    ALT_SHIFT_N = "Mod1+Shift+n"

    # personal computer monitoring tools
    # life Trello
    ALT_1 = "Mod1+1"
    # work Trello
    ALT_2 = "Mod1+2"
    # new home Trello
    ALT_3 = "Mod1+3"
    # couples board
    ALT_4 = "Mod1+4"
    # build backlog
    ALT_5 = "Mod1+5"
    # documents and data
    ALT_6 = "Mod1+6"
    # household
    ALT_7 = "Mod1+7"
    # conjulgation dmenu
    ALT_9 = "Mod1+9"

    # journaling
    ALT_J = "Mod1+j"
    # google search dmenu
    ALT_G = "Mod1+g"
    ALT_L = "Mod1+l"
    ALT_SHIFT_L = "Mod1+Shift+l"
    # google clipboard
    ALT_SHIFT_G = "Mod1+Shift+g"
    ALT_SHIFT_9 = "Mod1+Shift+9"

    # Projects by importance
    # ml platform
    CTRL_1 = "Control+1"
    # transfer scores
    CTRL_2 = "Control+2"
    # ranking service
    CTRL_3 = "Control+3"

    # PEOPLE
    # used for 11s with people
    # alex
    ALT_SHIFT_1 = "Mod1+Shift+1"
    # mathieu
    ALT_SHIFT_2 = "Mod1+Shift+2"
    # ayoub
    ALT_SHIFT_3 = "Mod1+Shift+3"
    # theo
    ALT_SHIFT_4 = "Mod1+Shift+4"
    # Do not use this one as it is used by google docs to strike through
    ALT_SHIFT_5 = "Mod1+Shift+5"

    # jupyterlab
    SUPER_U = "Mod4+u"
    # used for i3 to toggle the split mode
    SUPER_E = "Mod4+e"
    SUPER_SHIFT_E = "Mod4+Shift+e"
    # edit goals
    SUPER_G = "Mod4+g"
    SUPER_Y = "Mod4+y"
    # anki
    SUPER_I = "Mod4+i"
    # Tado
    SUPER_T = "Mod4+t"
    # used by i3 layout stacking
    SUPER_S = "Mod4+s"
    # clipboard manager selection
    SUPER_C = "Mod4+c"

    SUPER_R = "Mod4+r"
    SUPER_SHIFT_R = "Mod4+Shift+r"

    # register code
    ALT_R = "Mod1+r"
    # register snippet
    ALT_SHIFT_R = "Mod1+Shift+r"
